%define build_mdk82 %(if [ `awk '{print $4}' /etc/mandrake-release` = 8.2 ];then echo 1; else echo 0; fi)
%define build_mdk90 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.0 ];then echo 1; else echo 0; fi)
%define build_mdk91 %(if [ `awk '{print $4}' /etc/mandrake-release` = 9.1 ];then echo 1; else echo 0; fi)

%define name	mjpegtools
%define version	1.6.1
%define release	9mdk
%define major	1.6
%if %build_mdk82 || %build_mdk90
%define libname	lib%{name}%{major}
%else
%define libname %mklibname %name %major
%endif
	
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tools for recording, editing, playing back and mpeg-encoding video under linux
License:	GPL
Url:		http://mjpeg.sourceforge.net
Group:		Video
Source:		%{name}-%{version}.tar.bz2
Patch:		mjpegtools-1.6.1-gcc33.patch.bz2
Patch1:		mjpegtools-1.6.1-new-avifile.patch.bz2
#gw: the makefile.am hardcodes -Werror. patch Makefile.in because of automake 
#trouble (needs automake-1.6, aclocal doesn't find all macros, the usual shit) 
Patch2:		mjpegtools-1.6.1-no-werror.patch.bz2
Requires:	%{libname} = %{version}-%{release}
BuildRequires:  XFree86-devel
BuildRequires:  SDL-devel
BuildRequires:  libgtk+-devel
Buildrequires:	libavifile-devel >= 0.6
%if %build_mdk82
Buildrequires:	libdv-devel = 0.9
%else
Buildrequires:	libdv-devel >= 0.99
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The MJPEG-tools are a basic set of utilities for recording, editing, 
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%package -n %{libname}
Summary:    Main library for for %{name}
Group:      System/Libraries
Provides:   libmjpegtools = %version-%release
Obsoletes:  libmjpegtools0 < %version-%release

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %version-%release
Obsoletes:  libmjpegtools0-devel < %version-%release

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
# toolame isn't in Mandrake, mp2enc is, so use that
perl -p -i -e 's/\-\"toolame\"/\-\"mp2enc\"/g' scripts/lav2mpeg

%if %build_mdk90 || %build_mdk91
#quick hack to fix struct statfs problem
mv lavtools/liblavrec.c lavtools/liblavrec.c.orig
mv lavtools/liblavplay.c lavtools/liblavplay.c.orig
mv lavtools/testrec.c lavtools/testrec.c.orig
echo "#define _I386_STATFS_H" > lavtools/liblavrec.c
echo "#define _I386_STATFS_H" > lavtools/liblavplay.c
echo "#define _I386_STATFS_H" > lavtools/testrec.c
cat lavtools/liblavrec.c.orig >> lavtools/liblavrec.c
cat lavtools/liblavplay.c.orig >> lavtools/liblavplay.c
cat lavtools/testrec.c.orig >> lavtools/testrec.c
%endif

%build
# build i686/mmx dynamic library
%ifarch %{ix86}
mkdir build-i686
pushd build-i686
CONFIGURE_TOP=.. ../configure --enable-cmov-extension --enable-simd-accel \
  --libdir=%_libdir
%make CFLAGS='-march=i686 -mcpu=i686 -O2 -fomit-frame-pointer -pipe -Wall -Wunused'
popd
%endif
# build regular package
mkdir build-%{_target_cpu}
pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-cmov-extension --disable-simd-accel \
  --libdir=%_libdir
%make
popd

%install
%ifarch %{ix86}
pushd build-i686
%makeinstall
popd
mkdir -p $RPM_BUILD_ROOT/%_libdir/i686
mv $RPM_BUILD_ROOT/%_libdir/*.so.* $RPM_BUILD_ROOT/%_libdir/i686/
%endif
pushd build-%{_target_cpu}
%makeinstall
popd

%post -n %{libname} -p /sbin/ldconfig 
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog CHANGES COPYING HINTS INSTALL NEWS PLANS README* TODO
%_bindir/divxdec
%_bindir/glav
%_bindir/jpeg*
%_bindir/lav*
%_bindir/matte*
%_bindir/mp*
%_bindir/ppm*
%_bindir/test*
%_bindir/trans*
%_bindir/y*
%_bindir/multiblend.flt
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*
%ifarch %{ix86}
%{_libdir}/i686/*.so.*
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/mjpegtools-config
%_mandir/man5/yuv4mpeg.5.bz2
%{_includedir}/mjpegtools
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la

%changelog
* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-9mdk
- fix buildrequires

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-8mdk
- patch2: disable werror to make it build
- patch1: fix avifile header location

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-7mdk
- autoconf2.5 macro for the non-686 version

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-6mdk
- fix provides: don't make both main and libpackage provide mjpegtools

* Fri Jun  6 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-5mdk
- fix devel provides
- add obsoletes for old (bad) libname

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.6.1-4mdk
- fix rpmlint warning about the configure call
- mklibname
- fix major
- patch to make it compile with gcc 3.3

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 1.6.1-3mdk
- do a better job of that

* Mon Mar 24 2003 Austin Acton <aacton@yorku.ca> 1.6.1-2mdk
- add i686/mmx library

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.1-1mdk
- 1.6.1

* Wed Nov 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.6.0-6mdk
- use autoconf 2.5 macro
- add missing yuv4mpeg man page

* Fri Oct 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-5mdk
- from Austin Acton <aacton@yorku.ca> :
	- use mp2enc instead of toolame for mp2 audio

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-4mdk
- fix file list
- from Austin Acton <aacton@yorku.ca> :
	- add several missing binaries

* Wed Oct 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-3mdk
- from Austin Acton <aacton@yorku.ca> :
	- avoid use of libdv1-compat on 9.0+, use libdv2

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-2mdk
- from Austin Acton <aacton@yorku.ca> :
	- add hack to build on 9.0 and cooker (thanks to Narfi Stefansson <narfi@cs.wisc.edu>)

* Tue Jul 23 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.6.0-1mdk
- 1.6.0 final

* Mon Apr 15 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.6.0-0.beta2.1mdk
- first mdk release, using a spec stolen from Ronald Bultje <rbultje@ronald.bitfreak.net>
